CertManagerResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class CertManagerResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.CertManagerResourceApi

-     public class CertManagerResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertManagerResourceApi()`
    `CertManagerResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `generateCertificate(ApiCertificateRequest body)` Exchange a cert request token for a certificate.
    `okhttp3.Call` | `generateCertificateAsync(ApiCertificateRequest body, ApiCallback<File> callback)` Exchange a cert request token for a certificate.
    `okhttp3.Call` | `generateCertificateCall(ApiCertificateRequest body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for generateCertificate
    `ApiResponse<File>` | `generateCertificateWithHttpInfo(ApiCertificateRequest body)` Exchange a cert request token for a certificate.
    `ApiClient` | `getApiClient()`
    `File` | `getTruststore(String type)` Gets the Auto-TLS truststore contents.
    `okhttp3.Call` | `getTruststoreAsync(String type, ApiCallback<File> callback)` Gets the Auto-TLS truststore contents.
    `okhttp3.Call` | `getTruststoreCall(String type, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getTruststore
    `String` | `getTruststorePassword()` Gets the configured CM truststore password.
    `okhttp3.Call` | `getTruststorePasswordAsync(ApiCallback<String> callback)` Gets the configured CM truststore password.
    `okhttp3.Call` | `getTruststorePasswordCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getTruststorePassword
    `ApiResponse<String>` | `getTruststorePasswordWithHttpInfo()` Gets the configured CM truststore password.
    `ApiResponse<File>` | `getTruststoreWithHttpInfo(String type)` Gets the Auto-TLS truststore contents.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertManagerResourceApi

          public CertManagerResourceApi()

    - #### CertManagerResourceApi

          public CertManagerResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### generateCertificateCall

          public okhttp3.Call generateCertificateCall(ApiCertificateRequest body,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for generateCertificate
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### generateCertificate

          public File generateCertificate(ApiCertificateRequest body)
                                   throws ApiException

      Exchange a cert request token for a certificate. Exchange a cert request token for a certificate. The token must be a valid token generated by the certmanager utility. The resulting certificate will containin a TLS certificate in JKS and PEM formats. It might optionally contain a private key in JKS and PEM format, corresponding to the certificate. The tar file is designed to be consumed by the \"cm install_certs\" command to install TLS certificates on a Cloudera Manager agent host.
      Parameters:
        `body` - (optional)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCertificateWithHttpInfo

          public ApiResponse<File> generateCertificateWithHttpInfo(ApiCertificateRequest body)
                                                            throws ApiException

      Exchange a cert request token for a certificate. Exchange a cert request token for a certificate. The token must be a valid token generated by the certmanager utility. The resulting certificate will containin a TLS certificate in JKS and PEM formats. It might optionally contain a private key in JKS and PEM format, corresponding to the certificate. The tar file is designed to be consumed by the \"cm install_certs\" command to install TLS certificates on a Cloudera Manager agent host.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCertificateAsync

          public okhttp3.Call generateCertificateAsync(ApiCertificateRequest body,
                                                       ApiCallback<File> callback)
                                                throws ApiException

      Exchange a cert request token for a certificate. (asynchronously) Exchange a cert request token for a certificate. The token must be a valid token generated by the certmanager utility. The resulting certificate will containin a TLS certificate in JKS and PEM formats. It might optionally contain a private key in JKS and PEM format, corresponding to the certificate. The tar file is designed to be consumed by the \"cm install_certs\" command to install TLS certificates on a Cloudera Manager agent host.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getTruststoreCall

          public okhttp3.Call getTruststoreCall(String type,
                                                ProgressResponseBody.ProgressListener progressListener,
                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                         throws ApiException

      Build call for getTruststore
      Parameters:
        `type` - truststore type. Must be \"JKS\" or \"PEM\". (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getTruststore

          public File getTruststore(String type)
                             throws ApiException

      Gets the Auto-TLS truststore contents. Gets the Auto-TLS truststore contents
      Parameters:
        `type` - truststore type. Must be \"JKS\" or \"PEM\". (optional)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getTruststoreWithHttpInfo

          public ApiResponse<File> getTruststoreWithHttpInfo(String type)
                                                      throws ApiException

      Gets the Auto-TLS truststore contents. Gets the Auto-TLS truststore contents
      Parameters:
        `type` - truststore type. Must be \"JKS\" or \"PEM\". (optional)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getTruststoreAsync

          public okhttp3.Call getTruststoreAsync(String type,
                                                 ApiCallback<File> callback)
                                          throws ApiException

      Gets the Auto-TLS truststore contents. (asynchronously) Gets the Auto-TLS truststore contents
      Parameters:
        `type` - truststore type. Must be \"JKS\" or \"PEM\". (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getTruststorePasswordCall

          public okhttp3.Call getTruststorePasswordCall(ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for getTruststorePassword
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getTruststorePassword

          public String getTruststorePassword()
                                       throws ApiException

      Gets the configured CM truststore password. Gets the configured CM truststore password
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getTruststorePasswordWithHttpInfo

          public ApiResponse<String> getTruststorePasswordWithHttpInfo()
                                                                throws ApiException

      Gets the configured CM truststore password. Gets the configured CM truststore password
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getTruststorePasswordAsync

          public okhttp3.Call getTruststorePasswordAsync(ApiCallback<String> callback)
                                                  throws ApiException

      Gets the configured CM truststore password. (asynchronously) Gets the configured CM truststore password
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.